### A free/open-source library for quantitative finance

Classes
ql/instruments/forwardvanillaoption.hpp File Reference

Forward version of a vanilla option. More...

`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/instruments/payoffs.hpp>`
`#include <ql/exercise.hpp>`
`#include <ql/settings.hpp>`
Include dependency graph for forwardvanillaoption.hpp:

## Classes

class | ForwardOptionArguments< ArgumentsType >
| Arguments for forward (strike-resetting) option calculation More...
class | ForwardVanillaOption
| Forward version of a vanilla option More...

## Detailed Description

Forward version of a vanilla option.